com.fasterxml.jackson.core.json

## Class PackageVersion

- java.lang.Object
- - com.fasterxml.jackson.core.json.PackageVersion

All Implemented Interfaces:
  Versioned

    public final class PackageVersion
    extends Object
    implements Versioned

Automatically generated from PackageVersion.java.in during packageVersion-generate execution of maven-replacer-plugin in pom.xml.

### Field Summary

Fields
`static Version` `VERSION`

### Constructor Summary

Constructors
Constructor and Description
`PackageVersion()`

### Method Summary

Methods
`Version` `version()` Method called to detect version of the component that implements this interface; returned version should never be null, but may return specific "not available" instance (see `Version` for details).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### VERSION

    public static final Version VERSION

### Constructor Detail

#### PackageVersion

    public PackageVersion()

### Method Detail

#### version

    public Version version()

Description copied from interface: `Versioned`
Method called to detect version of the component that implements this interface; returned version should never be null, but may return specific "not available" instance (see `Version` for details).

Specified by:
  `version` in interface `Versioned`